Skip to main content
POST
/
card
/
{cardId}
/
file
Post a file to a card
curl --request POST \
  --url https://app.getaptly.com/api/card/{cardId}/file \
  --header 'Content-Type: application/json' \
  --header 'x-token: <x-token>' \
  --data '
{
  "filename": "myphoto.jpg",
  "base64": "data:@image/jpeg;base64,..."
}
'
{
  "fileId": "DNcKJk27qewHTPs6W"
}

Headers

x-token
string
required

Your Aptly API Token. Available in the Aptly UI under Card Sources > API.

Path Parameters

cardId
string
required

The unique ID of the card.

Body

application/json
userId
string

The ID of the user posting the file.

Example:

"JShpBxEFgRmZnivTf"

filename
string

The name of the file.

Example:

"myphoto.jpg"

base64
string

Base64 encoded file data.

Example:

"data:@image/jpeg;base64,..."

Response

File uploaded successfully

fileId
string
Example:

"DNcKJk27qewHTPs6W"